> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create alert rule



## OpenAPI

````yaml post /api/v1/alert-rules
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/alert-rules:
    post:
      tags: []
      summary: Create alert rule
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AlertRulesSchema'
          application/transit+msgpack:
            schema:
              $ref: '#/components/schemas/AlertRulesSchema'
          application/transit+json:
            schema:
              $ref: '#/components/schemas/AlertRulesSchema'
          application/edn:
            schema:
              $ref: '#/components/schemas/AlertRulesSchema'
        required: true
      responses:
        default:
          description: ''
          content: {}
components:
  schemas:
    AlertRulesSchema:
      required:
        - activation_threshold_seconds
        - condition
        - criticality
        - deactivation_threshold_seconds
        - group
        - metadata_filters
        - name
        - stream
      type: object
      properties:
        criticality:
          type: string
          enum:
            - warning
            - info
            - critical
        activation_threshold_seconds:
          type: integer
          format: int64
        metadata_filters:
          type: object
        name:
          type: string
        stream:
          type: string
        deactivation_threshold_seconds:
          type: integer
          format: int64
        group:
          type: string
        condition:
          type: object
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````